package de.ivu.elect.sitzberechnung.math;

import java.math.BigDecimal;

public class QuorumProzenthuerdePruefer {

  private final Fraction quorum;

  public QuorumProzenthuerdePruefer(BigDecimal quorumProzenthuerdeDezimal) {
    quorum = FractionConverter.convertingExakt().asFractionConverted(quorumProzenthuerdeDezimal);
  }

  public boolean erfuelltProzenthuerde(long anzahlStimmen, long anzahlGueltigeStimmenGesamt) {
    return FractionConverter.convertingExakt().asFractionConverted(anzahlStimmen, anzahlGueltigeStimmenGesamt).compareTo(quorum) >= 0;
  }
}
